searchData={"items":[{"type":"module","title":"Subtitle.Cue","doc":"Cue manipulation. It is aware of WebVTT tags in the text field.","ref":"Subtitle.Cue.html"},{"type":"function","title":"Subtitle.Cue.align/1","doc":"Transforms cue into a temporarily ordered sequence of cues,\npreserving their duration. It adds 1ms between overapping cues.","ref":"Subtitle.Cue.html#align/1"},{"type":"function","title":"Subtitle.Cue.cut/2","doc":"Cuts the duration to at most `max_duration`.","ref":"Subtitle.Cue.html#cut/2"},{"type":"function","title":"Subtitle.Cue.duration/1","doc":"Returns the duration of the cue.","ref":"Subtitle.Cue.html#duration/1"},{"type":"function","title":"Subtitle.Cue.extend/2","doc":"Extend cue to last at least `min_duration`.\nMay produce overlapping cues that can be fixed by calling `__MODULE__.align/1`.","ref":"Subtitle.Cue.html#extend/2"},{"type":"function","title":"Subtitle.Cue.merge/3","doc":"Merges two cues given the following conditions:\n* The number of lines do not exceed `opts.max_lines`\n* The distance between the two cues is less than `@max_distance_ms`.\n* The duration of the cues does not exceed `opts.max_duration`\n\nThe cues must be sorted by time, should not overlap and should\nnot contain new lines.","ref":"Subtitle.Cue.html#merge/3"},{"type":"function","title":"Subtitle.Cue.split/2","doc":"Splits a cue into multiple single-line cues.","ref":"Subtitle.Cue.html#split/2"},{"type":"function","title":"Subtitle.Cue.tidy/1","doc":"Removes overlapping cues.\nThis function is useful after merging HLS segments, as a cue might be repeated in multiple segments.","ref":"Subtitle.Cue.html#tidy/1"},{"type":"function","title":"Subtitle.Cue.to_paragraphs/2","doc":"Creates a list of paragraphs obtained from the text of the cues.\nMerges together cues that have no silence in between. Silence\nis configurable through the `opts.silence` option, which defaults\nto 1ms.","ref":"Subtitle.Cue.html#to_paragraphs/2"},{"type":"function","title":"Subtitle.Cue.to_paragraphs_lazy/2","doc":"Lazy version of to_paragraphs/2.","ref":"Subtitle.Cue.html#to_paragraphs_lazy/2"},{"type":"function","title":"Subtitle.Cue.to_records/1","doc":"","ref":"Subtitle.Cue.html#to_records/1"},{"type":"type","title":"Subtitle.Cue.merge_option/0","doc":"","ref":"Subtitle.Cue.html#t:merge_option/0"},{"type":"type","title":"Subtitle.Cue.split_option/0","doc":"","ref":"Subtitle.Cue.html#t:split_option/0"},{"type":"type","title":"Subtitle.Cue.t/0","doc":"","ref":"Subtitle.Cue.html#t:t/0"},{"type":"type","title":"Subtitle.Cue.to_paragraphs_option/0","doc":"","ref":"Subtitle.Cue.html#t:to_paragraphs_option/0"},{"type":"module","title":"Subtitle.Cue.Builder","doc":"Builder allows to format and align cues. Pass in unformatted, long sentenced cues\nand get back a stream of cues formatted with the provided defaults.\n\nSupports Cue payloads with WebVTT tags.","ref":"Subtitle.Cue.Builder.html"},{"type":"function","title":"Subtitle.Cue.Builder.flush/1","doc":"Flushes the pending cue.","ref":"Subtitle.Cue.Builder.html#flush/1"},{"type":"function","title":"Subtitle.Cue.Builder.new/1","doc":"","ref":"Subtitle.Cue.Builder.html#new/1"},{"type":"function","title":"Subtitle.Cue.Builder.put_and_get/3","doc":"Adds a new cue and maybe returns built cues.","ref":"Subtitle.Cue.Builder.html#put_and_get/3"},{"type":"type","title":"Subtitle.Cue.Builder.new_option/0","doc":"","ref":"Subtitle.Cue.Builder.html#t:new_option/0"},{"type":"type","title":"Subtitle.Cue.Builder.t/0","doc":"","ref":"Subtitle.Cue.Builder.html#t:t/0"},{"type":"module","title":"Subtitle.Helpers","doc":"","ref":"Subtitle.Helpers.html"},{"type":"function","title":"Subtitle.Helpers.parse_integers/1","doc":"","ref":"Subtitle.Helpers.html#parse_integers/1"},{"type":"function","title":"Subtitle.Helpers.split_ms/1","doc":"","ref":"Subtitle.Helpers.html#split_ms/1"},{"type":"function","title":"Subtitle.Helpers.to_ms/3","doc":"","ref":"Subtitle.Helpers.html#to_ms/3"},{"type":"function","title":"Subtitle.Helpers.to_ms/4","doc":"","ref":"Subtitle.Helpers.html#to_ms/4"},{"type":"module","title":"Subtitle.SRT","doc":"","ref":"Subtitle.SRT.html"},{"type":"function","title":"Subtitle.SRT.marshal!/1","doc":"","ref":"Subtitle.SRT.html#marshal!/1"},{"type":"function","title":"Subtitle.SRT.unmarshal/2","doc":"","ref":"Subtitle.SRT.html#unmarshal/2"},{"type":"module","title":"Subtitle.SRT.Timing","doc":"","ref":"Subtitle.SRT.Timing.html"},{"type":"function","title":"Subtitle.SRT.Timing.from_ms/1","doc":"","ref":"Subtitle.SRT.Timing.html#from_ms/1"},{"type":"function","title":"Subtitle.SRT.Timing.parse/1","doc":"","ref":"Subtitle.SRT.Timing.html#parse/1"},{"type":"module","title":"Subtitle.WebVTT","doc":"https://developer.mozilla.org/en-US/docs/Web/API/WebVTT_API\n\nWeb Video Text Tracks Format (WebVTT) is a format for displaying timed text\ntracks (such as subtitles or captions) using the   element. The primary\npurpose of WebVTT files is to add text overlays to a  . WebVTT is a\ntext based format, which must be encoded using UTF-8. Where you can use\nspaces you can also use tabs. There is also a small API available to\nrepresent and manage these tracks and the data needed to perform the playback\nof the text at the correct times.","ref":"Subtitle.WebVTT.html"},{"type":"function","title":"Subtitle.WebVTT.marshal!/1","doc":"","ref":"Subtitle.WebVTT.html#marshal!/1"},{"type":"function","title":"Subtitle.WebVTT.mime/0","doc":"","ref":"Subtitle.WebVTT.html#mime/0"},{"type":"function","title":"Subtitle.WebVTT.unmarshal/2","doc":"","ref":"Subtitle.WebVTT.html#unmarshal/2"},{"type":"function","title":"Subtitle.WebVTT.unmarshal!/2","doc":"","ref":"Subtitle.WebVTT.html#unmarshal!/2"},{"type":"module","title":"Subtitle.WebVTT.Cue","doc":"","ref":"Subtitle.WebVTT.Cue.html"},{"type":"type","title":"Subtitle.WebVTT.Cue.t/0","doc":"","ref":"Subtitle.WebVTT.Cue.html#t:t/0"},{"type":"module","title":"Subtitle.WebVTT.HeaderLine","doc":"","ref":"Subtitle.WebVTT.HeaderLine.html"},{"type":"function","title":"Subtitle.WebVTT.HeaderLine.new/1","doc":"","ref":"Subtitle.WebVTT.HeaderLine.html#new/1"},{"type":"module","title":"Subtitle.WebVTT.Note","doc":"","ref":"Subtitle.WebVTT.Note.html"},{"type":"module","title":"Subtitle.WebVTT.Payload","doc":"","ref":"Subtitle.WebVTT.Payload.html"},{"type":"function","title":"Subtitle.WebVTT.Payload.fragment/2","doc":"Each tag will be fragmented into a list of single word tags of the same type. If words are longer than max_length, they are wrapped.","ref":"Subtitle.WebVTT.Payload.html#fragment/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.marshal!/1","doc":"","ref":"Subtitle.WebVTT.Payload.html#marshal!/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.merge/3","doc":"Merges the tags until their text size falls within `min_length` and `max_length`. Calls simplify/1 on the final result.","ref":"Subtitle.WebVTT.Payload.html#merge/3"},{"type":"function","title":"Subtitle.WebVTT.Payload.pretty?/2","doc":"","ref":"Subtitle.WebVTT.Payload.html#pretty?/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.simplify/1","doc":"Merges equals tags together. Useful after a fragment call.","ref":"Subtitle.WebVTT.Payload.html#simplify/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.size/1","doc":"","ref":"Subtitle.WebVTT.Payload.html#size/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.string/1","doc":"","ref":"Subtitle.WebVTT.Payload.html#string/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.unmarshal/1","doc":"","ref":"Subtitle.WebVTT.Payload.html#unmarshal/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.unmarshal!/1","doc":"","ref":"Subtitle.WebVTT.Payload.html#unmarshal!/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.wrap_words/2","doc":"Splits words when they are longer then the specified length","ref":"Subtitle.WebVTT.Payload.html#wrap_words/2"},{"type":"module","title":"Subtitle.WebVTT.Payload.Tag","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.append_text/2","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#append_text/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.bold/1","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#bold/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.class/2","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#class/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.equals/2","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#equals/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.italics/1","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#italics/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.text/1","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#text/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.underline/1","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#underline/1"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.update_text/2","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#update_text/2"},{"type":"function","title":"Subtitle.WebVTT.Payload.Tag.voice/2","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#voice/2"},{"type":"type","title":"Subtitle.WebVTT.Payload.Tag.t/0","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#t:t/0"},{"type":"type","title":"Subtitle.WebVTT.Payload.Tag.type/0","doc":"","ref":"Subtitle.WebVTT.Payload.Tag.html#t:type/0"},{"type":"module","title":"Subtitle.WebVTT.Style","doc":"","ref":"Subtitle.WebVTT.Style.html"},{"type":"module","title":"Subtitle.WebVTT.Timing","doc":"","ref":"Subtitle.WebVTT.Timing.html"},{"type":"function","title":"Subtitle.WebVTT.Timing.from_ms/1","doc":"","ref":"Subtitle.WebVTT.Timing.html#from_ms/1"},{"type":"function","title":"Subtitle.WebVTT.Timing.parse/1","doc":"","ref":"Subtitle.WebVTT.Timing.html#parse/1"}],"content_type":"text/markdown"}